summaryrefslogtreecommitdiffhomepage
path: root/subr/pkg_install.subr
diff options
context:
space:
mode:
Diffstat (limited to 'subr/pkg_install.subr')
-rw-r--r--subr/pkg_install.subr4
1 files changed, 2 insertions, 2 deletions
diff --git a/subr/pkg_install.subr b/subr/pkg_install.subr
index 46024e8e..87182d9c 100644
--- a/subr/pkg_install.subr
+++ b/subr/pkg_install.subr
@@ -4,14 +4,14 @@
pkg_install() {
local _pkglist_name="";
- if ! ex_rtl_fileop mkdir "${PKG_PREFIX}"\
+ if ! rtl_fileop mkdir "${PKG_PREFIX}"\
|| ! find "${PKG_DESTDIR}" -type d -exec chmod 0755 {} \;\
|| ! find "${PKG_DESTDIR}" \( -not -perm /0111 \) -type f -exec chmod 0644 {} \;\
|| ! find "${PKG_DESTDIR}" -perm /0111 -type f -exec chmod 0755 {} \;\
|| ! tar -C "${PKG_DESTDIR}" -cpf - . | tar -C "${PKG_PREFIX}" --overwrite -xpf -; then
return "${?}";
else
- if ex_rtl_lmatch "${ARG_DIST}" "pkg" ","; then
+ if rtl_lmatch "${ARG_DIST}" "pkg" ","; then
tar -C "${PKG_DESTDIR}" -cpf - . |\
gzip -c -9 - > "${PKG_BASE_DIR}/${PKG_NAME}.tgz" || return "${?}";
fi;